MailFileStore (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.mail.sampler, class: MailFileStore

Package org.apache.jmeter.protocol.mail.sampler

# Class MailFileStore

java.lang.Object
javax.mail.Service
javax.mail.Store
org.apache.jmeter.protocol.mail.sampler.MailFileStore

public class MailFileStore extends javax.mail.Store

- ## Field Summary

  ### Fields inherited from class javax.mail.Service

  `debug, session, url`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailFileStore(javax.mail.Session s, javax.mail.URLName u)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.mail.Folder`
  `getDefaultFolder()`
  `javax.mail.Folder`
  `getFolder(String path)`
  `javax.mail.Folder`
  `getFolder(javax.mail.URLName path)`
  `protected boolean`
  `protocolConnect(String host, int port, String user, String password)`

  ### Methods inherited from class javax.mail.Store

  `addFolderListener, addStoreListener, getPersonalNamespaces, getSharedNamespaces, getUserNamespaces, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

  ### Methods inherited from class javax.mail.Service

  `addConnectionListener, close, connect, connect, connect, connect, finalize, getURLName, isConnected, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MailFileStore

    public MailFileStore(javax.mail.Session s, javax.mail.URLName u)

- ## Method Details

  - ### protocolConnect

    protected boolean protocolConnect(String host, int port, String user, String password) throws javax.mail.MessagingException
    Overrides:
      `protocolConnect` in class `javax.mail.Service`
    Throws:
      `javax.mail.MessagingException`

  - ### getDefaultFolder

    public javax.mail.Folder getDefaultFolder() throws javax.mail.MessagingException
    Specified by:
      `getDefaultFolder` in class `javax.mail.Store`
    Throws:
      `javax.mail.MessagingException`

  - ### getFolder

    public javax.mail.Folder getFolder(String path) throws javax.mail.MessagingException
    Specified by:
      `getFolder` in class `javax.mail.Store`
    Throws:
      `javax.mail.MessagingException`

  - ### getFolder

    public javax.mail.Folder getFolder(javax.mail.URLName path) throws javax.mail.MessagingException
    Specified by:
      `getFolder` in class `javax.mail.Store`
    Throws:
      `javax.mail.MessagingException`